# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Product Class Reference

`#include <StepBasic_Product.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_Product ()
| Returns a Product .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_HArray1OfProductContext)&aFrameOfReference)
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&aId)
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT void | SetFrameOfReference (const Handle(StepBasic_HArray1OfProductContext)&aFrameOfReference)
Standard_EXPORT Handle_StepBasic_HArray1OfProductContext | FrameOfReference () const
Standard_EXPORT Handle_StepBasic_ProductContext | FrameOfReferenceValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbFrameOfReference () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | id
Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description
Handle_StepBasic_HArray1OfProductContext | frameOfReference

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Product::StepBasic_Product | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Product::Description | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_HArray1OfProductContext StepBasic_Product::FrameOfReference | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_ProductContext StepBasic_Product::FrameOfReferenceValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT const StepBasic_Product::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Product::Id | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_Product::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_HArray1OfProductContext)& | aFrameOfReference
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Product::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer StepBasic_Product::NbFrameOfReference | ( |  | ) | const

Standard_EXPORT void StepBasic_Product::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_Product::SetFrameOfReference | ( | const Handle(StepBasic_HArray1OfProductContext)& | aFrameOfReference | ) |

Standard_EXPORT void StepBasic_Product::SetId | ( | const Handle(TCollection_HAsciiString)& | aId | ) |

Standard_EXPORT void StepBasic_Product::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_Product::description `[private]`

Handle_StepBasic_HArray1OfProductContext StepBasic_Product::frameOfReference `[private]`

Handle_TCollection_HAsciiString StepBasic_Product::id `[private]`

Handle_TCollection_HAsciiString StepBasic_Product::name `[private]`

The documentation for this class was generated from the following file:

- StepBasic_Product.hxx